Page MenuHomePhabricator

Multiple Explorer Dialogs
Closed, ResolvedPublic

Description

To improve the UI and functionality of the Data Explorer, this feature will integrate multiple explorer dialogs into the existing UI.
Each time a user clicks on an explore button, a new dialog will appear, which can be dragged and resized.
Screenshot:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 16 2018, 11:17 AM
prssanna renamed this task from Multiple Explorer Dialogs(WIP) to Multiple Explorer Dialogs ( WIP ).May 16 2018, 11:23 AM
prssanna renamed this task from Multiple Explorer Dialogs ( WIP ) to [WIP]Multiple Explorer Dialogs.May 16 2018, 11:33 AM
Jonas triaged this task as Low priority.May 16 2018, 12:17 PM
Jonas moved this task from Backlog to Doing on the Wikidata Query UI board.

Is this what is happening now and you want to prevent it? Or what you want to enable? It'd be great to clarify this and the use case.

prssanna renamed this task from [WIP]Multiple Explorer Dialogs to [WIP] Multiple Explorer Dialogs.May 29 2018, 12:45 PM
prssanna updated the task description. (Show Details)

Should I add an alert or a message that is displayed when a user tries to open a dialog that is already open?

Should I add an alert or a message that is displayed when a user tries to open a dialog that is already open?

Do you mean the one with the item ID same as one of the opened dialogs? I see two possibilities here:

  1. Focus (bring to foreground, etc.) the dialog that has the same item ID
  2. Just create a new one, regardless of what is already open

I am leaning towards the latter option - as one can change what is displayed in the dialogs, it may be legitimate case to open more than one and then do separate changes to them. I don't think we should prevent it.

Smalyshev renamed this task from [WIP] Multiple Explorer Dialogs to Multiple Explorer Dialogs.Jun 1 2018, 9:08 PM
This comment was removed by prssanna.

Yes the latter option does makes sense! I've changed the implementation to reflect that behaviour.

Change 433357 had a related patch set uploaded (by Prssanna; owner: Prssanna):
[wikidata/query/gui@master] Implement resizable, draggable and multiple Explorer Dialogs

https://gerrit.wikimedia.org/r/433357

Change 433357 merged by jenkins-bot:
[wikidata/query/gui@master] Implement resizable, draggable and multiple Explorer Dialogs

https://gerrit.wikimedia.org/r/433357

Change 437440 had a related patch set uploaded (by WDQSGuiBuilder; owner: WDQSGuiBuilder):
[wikidata/query/gui-deploy@production] Merging from 74abb5ceb2d5eb866dcbed73447f116a7c537e36:

https://gerrit.wikimedia.org/r/437440

Jonas moved this task from Doing to Done on the Wikidata Query UI board.Jun 5 2018, 6:17 PM

Change 437440 merged by Smalyshev:
[wikidata/query/gui-deploy@production] Merging from 74abb5ceb2d5eb866dcbed73447f116a7c537e36:

https://gerrit.wikimedia.org/r/437440

Change 437973 had a related patch set uploaded (by Prssanna; owner: Prssanna):
[wikidata/query/gui@master] Prevent opening of new Explorer Dialogs outside viewport

https://gerrit.wikimedia.org/r/437973

Change 437973 merged by jenkins-bot:
[wikidata/query/gui@master] Prevent opening of new Explorer Dialogs outside viewport

https://gerrit.wikimedia.org/r/437973

Change 437980 had a related patch set uploaded (by WDQSGuiBuilder; owner: WDQSGuiBuilder):
[wikidata/query/gui-deploy@production] Merging from 65b1430afa92a1745ede7df4168df5df3f8762c9:

https://gerrit.wikimedia.org/r/437980

Change 437980 merged by Smalyshev:
[wikidata/query/gui-deploy@production] Merging from 65b1430afa92a1745ede7df4168df5df3f8762c9:

https://gerrit.wikimedia.org/r/437980

Vvjjkkii renamed this task from Multiple Explorer Dialogs to lvcaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii removed prssanna as the assignee of this task.
Vvjjkkii raised the priority of this task from Low to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from lvcaaaaaaa to Multiple Explorer Dialogs.Jul 2 2018, 4:44 AM
CommunityTechBot assigned this task to prssanna.
CommunityTechBot lowered the priority of this task from High to Low.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.
Jonas closed this task as Resolved.Jul 5 2018, 10:52 AM